# SWGScreenshot

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**_id** | **NSNumber*** | screenshot ID | 
**status** | **NSString*** | status of the request: \&quot;in_queue\&quot;, \&quot;processing\&quot;, \&quot;finished\&quot;, \&quot;error\&quot;  | 
**error** | **NSString*** | description of the problem that occurred | [optional] 
**priority** | **NSNumber*** | priority given to the screenshot: high (1) to low (3) | [optional] 
**url** | **NSString*** | original URL requested | 
**size** | **NSString*** | screenshot size requested | [optional] 
**width** | **NSNumber*** | screenshot width | [optional] 
**height** | **NSNumber*** | screenshot height | [optional] 
**finalUrl** | **NSString*** | URL of the screenshot (redirections can occur) | [optional] 
**scale** | **NSNumber*** | image scale. Always 1 for desktop browsers; mobiles may change the scale (zoom in or zoom out) to fit the page on the screen | [optional] 
**instanceId** | **NSNumber*** | instance ID used for the screenshot | 
**cost** | **NSNumber*** | number of credits spent for the screenshot | [optional] 
**referer** | **NSString*** | custom referrer used (see Custom POST Data, Referer and Cookie) | [optional] 
**postData** | **NSString*** | POST data sent (see Custom POST Data, Referer and Cookie) | [optional] 
**cookie** | **NSString*** | custom cookie used (see Custom POST Data, Referer and Cookie) | [optional] 
**delay** | **NSNumber*** | number of seconds to wait after page load | [optional] 
**flashDelay** | **NSNumber*** | number of seconds to wait after page load if Flash elements are present | [optional] 
**details** | **NSNumber*** | level of details about the screenshot and the page | [optional] 
**script** | **NSString*** | URL of optional javascript file executed after the page load event | [optional] 
**sharedUrl** | **NSString*** | if the screenshot was shared, show the public URL | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


