# SWGAccount

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**balance** | **NSNumber*** | number of credits left on your account | 
**freeScreenshotsLeft** | **NSNumber*** | number of free screenshots available for the current month | 
**privateInstances** | **NSNumber*** | 1 is your account is authorized to create and use private instances, 0 otherwise (default) | 
**hostingBrowshot** | **NSNumber*** | 1 is your account is authorized to request hosting on Browshot, 0 otherwise (default) | 
**instances** | [**NSArray&lt;SWGInstance&gt;***](SWGInstance.md) | list of private instances as returned by /api/v1/instance/list | [optional] 
**browsers** | [**NSArray&lt;SWGBrowser&gt;***](SWGBrowser.md) | list of custom browsers as returned by /api/v1/browser/list | [optional] 
**screenshots** | [**NSArray&lt;SWGScreenshot&gt;***](SWGScreenshot.md) | list of 10 latest screenshots requests as returned by /api/v1/screenshot/list | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


